public class BT {
  private int value;
  private BT left;
  private BT right;
  
  /** constructor: a node with value val and null children 
    * pre: val is not null.*/
  public BT(int val) {
    value= val;
  }
  /** constructor: a node with value val and left/right children (may be null)
    * pre: val is not null */
  public BT(int val, BT lft, BT rght) {
    this(val);
    left= lft;
    right= rght;
  }
  
  public boolean contains(int v) {

    if (value == v) {
      return true;
    }
    return (left != null && left.contains(v)) 
        || (right != null && right.contains(v));
  }
  
  public static void main(String[] args) {
    /* create the following tree:
     *     4
     *    / \
     *   1   12
     *  / \    \
     * 0   6    18    */
    BT one = new BT(1, new BT(0), new BT(6));
    BT twelve = new BT(12, null, new BT(18));
    BT myTree = new BT(4, one, twelve);
    
    System.out.println("contains 11: " + myTree.contains(11));
    System.out.println("contains 12: " + myTree.contains(12)); 
  }
}